Subject: [PATCH net-next 0/2] net: stmmac: further ptp cleanups

From: "Russell King (Oracle)" <[email-masked]>
Date: Sat, 7 Mar 2026 10:52:56 +0000

Hi,

A couple of extra PTP cleanup patches.

The first uses a local variable when setting n_ext_ts which is a minor
simplification of the code. The second removes the now unnecessary
"available" flag for the PPS outputs.

 drivers/net/ethernet/stmicro/stmmac/dwmac5.c        |  2 --
 drivers/net/ethernet/stmicro/stmmac/dwxgmac2_core.c |  2 --
 drivers/net/ethernet/stmicro/stmmac/stmmac.h        |  1 -
 drivers/net/ethernet/stmicro/stmmac/stmmac_ptp.c    | 10 ++++------
 4 files changed, 4 insertions(+), 11 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!